summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optimizations/not_mergeable
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optimizations/not_mergeable')
-rwxr-xr-xtests/shell/testcases/optimizations/not_mergeable22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/shell/testcases/optimizations/not_mergeable b/tests/shell/testcases/optimizations/not_mergeable
new file mode 100755
index 00000000..ddb2f0fd
--- /dev/null
+++ b/tests/shell/testcases/optimizations/not_mergeable
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table ip x {
+ chain t1 {
+ }
+ chain t2 {
+ }
+ chain t3 {
+ }
+ chain t4 {
+ }
+ chain y {
+ counter jump t1
+ counter jump t2
+ ip version 4 jump t3
+ ip version 6 jump t4
+ }
+}"
+
+$NFT -o -f - <<< $RULESET